Description

To reproduce:

- from the view properties change current projection
- in the spatial reference tab select epsg 3003
- select 3003 in the list (it is the only one) and then click on details

Nothing happens and there is a NPE in the log.
Log attached.

PS: the same log contains an exception before the NPE. That is due to the fact that it could not recognize the projection defined inside
the prj file. For completeness, | attach also that file, epsg3003.prj. | think this is already handled in another issue though.

History

#1 - 02/15/2016 10:04 AM - Antonio Falciano
Ciao Andrea,
in reference to the NPE, do you mean the same issue reported in #40267? In this case, this ticket is a duplicated one.

Instead, the issue about your epsg3003.prj (ESRI WKT) is due to the actual limitation that we have discussed in #3954: if there's not the AUTHORITY
tag, then the CRS is not (auto)identified and no proj4 string can be generated.

#2 - 02/15/2016 01:10 PM - Alvaro Anguix

- Target version deleted (98)

#3 - 02/15/2016 10:00 PM - Andrea Antonello
Hi Antonio, thanks for the comments.

This is indeed in part a duplication of #4026. Thanks, this can be marked as duplicate. | don't think | can do that.

Regarding #3954, the issue has been marked as fixed->closed, not sure if that really happened.

#4 - 02/16/2016 10:30 AM - Antonio Falciano
- Target version set to 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129)

- Status changed from New to Invalid

Hi Andrea,
to mark a ticket as duplicate here we usually set its status as invalid.
In reference to #3954, your prj has the main AUTHORITY tag and so is identified now in the "Add layer" dialog, but if | associate it to a shape, it's still

not working because the proj4 string can't be retrieved. So the ticket should be reopened.

Files
gvSIG.log 419 KB 02/14/2016 Andrea Antonello
epsg3003.prj 407 Bytes 02/14/2016 Andrea Antonello

05/17/2024 22



